Gyoto::Python Namespace Reference

Helpers for the classes deriving from Gyoto::Python::Base. More...

## Classes

class | Object
| Class template to implement parts of the Gyoto::Object API. More...
class | Base
| Base class for classes in the Python plug-in. More...

## Functions

PyObject * | PyObject_FromGyotoValue (const Gyoto::Value &)
| Convert Gyoto Value to Python Object.
PyObject * | PyInstance_GetMethod (PyObject *pInstance, const char *name)
| Return new reference to method, or NULL if method not found.
PyObject * | PyImport_Gyoto ()
| Return refernce to the gyoto module, or NULL.
void | PyInstance_SetThis (PyObject *pInstance, PyObject *pNew, void *ptr)
| Set "this" attribute in instance.
bool | PyCallable_HasVarArg (PyObject *pMethod)
| Check whether method accepts the varargs argument.
PyObject * | PyModule_NewFromPythonCode (const char *code)
| Create module from Python source code in a C string.
PyObject * | pGyotoSpectrum ()
| Get reference to the Spectrum constructor in the gyoto Python extension.
PyObject * | pGyotoMetric ()
| Get reference to the Metric constructor in the gyoto Python extension.
PyObject * | pGyotoStandardAstrobj ()
| Get reference to the StandardAstrobj constructor in the gyoto Python extension.
PyObject * | pGyotoThinDisk ()
| Get reference to the ThinDisk constructor in the gyoto Python extension.

## Detailed Description

Helpers for the classes deriving from Gyoto::Python::Base.